#ifndef _DTJCLASS_HPP
#define _DTJCLASS_HPP

#include "dtjobjct.hpp"

class METAEXPORTCLASSDEF DTJClassObject : public DTJObject {
    public:
        DTJClassObject( const MetaObject * meta );
	VEXPORT void GenClassName( WString & ) const;
	virtual WString DTGetName() const;
	WBool CreateEventPopupMenu( WPopupMenu * popup );
};

class METAEXPORTCLASSDEF DTJClassVisualObject : public DTJClassObject {
    public:
        DTJClassVisualObject( const MetaObject * meta );

	void GenerateCreate( const WString& objPrefix, WStringList& srcList,
			     MMJFileGenerationParms * ) const;

	void GenerateCode( MMJCodeGeneration mmCodeGen, WStringList& srcList,
			   MMJFileGenerationParms* pGenParms) const;

	virtual WBool Create( WWindow * parent, const WRect & r,
			      const WChar * text, WStyle style,
			      WStyle exStyle, void * data = NULL,
			      WBool isLoading = FALSE );
};

// needed for mdreader
typedef DTJClassObject DTpowersoft__dot__jcm__dot__ui__dot__JClassObject;
typedef DTJClassVisualObject DTpowersoft__dot__jcm__dot__ui__dot__JClassVisualObject;

#endif // _DTJCLASS_HPP
